/*Forms error*/
.form-error {
  position: absolute;
  font-size: var(--very-small-font-size);
  color: var(--red);
  bottom: -15px;
}

/*Forms*/

.form-box {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

.form-container {
  width: 100%;
  padding: 0px 10px;
}

.form__group {
  margin: 15px auto;
}

.form__group {
  position: relative;
  padding: 15px 0 0;
  margin-top: 10px;
  width: 50%;
}

.form__field {
  font-family: inherit;
  width: 100%;
  border: 0;
  border-bottom: 2px solid var(--brown);
  outline: 0;
  font-size: 1.3rem;
  color: var(--white);
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;
}
.form__field::placeholder {
  color: transparent;
}
.form__field:placeholder-shown ~ .form__label {
  font-size: 1.3rem;
  cursor: text;
  top: 20px;
}

.form__label {
  position: absolute;
  top: 0;
  display: block;
  transition: 0.2s;
  font-size: 1rem;
  color: #9b9b9b;
}

.form__label.form__label {
  top: -5px;
}

.form__field:focus {
  padding-bottom: 6px;
  font-weight: 700;
  border-width: 3px;
  border-image: linear-gradient(to right, var(--green), var(--green));
  border-image-slice: 1;
}
.form__field:focus ~ .form__label {
  position: absolute;
  top: 0;
  display: block;
  transition: 0.2s;
  font-size: 1rem;
  color: var(--green);
  font-weight: 700;
}

/* reset input */
.form__field:required, .form__field:invalid {
  box-shadow: none;
}

.form__field.blacked {
  color: var(--black);
}

.form__field.select {
  cursor: pointer;
}

/*Table styles*/
.table {
  margin-top: 30px;
  width: 100%;
  border: 1px solid #EEEEEE;
}

.table-header {
  display: flex;
  width: 100%;
  background: var(--green);
  padding: 18px 0;
}

.table-row {
  display: flex;
  width: 100%;
  padding: 18px 0;
  align-items: center;
}
.table-row:nth-of-type(odd) {
  background: #EEEEEE;
}

.table-data, .header__item {
  flex: 1 1 20%;
  text-align: center;
}

.table-data.description,
.table-data.description p,
.table-data.description em,
.table-data.description ol,
.table-data.description li,
.table-data.description h1,
.table-data.description span {
  max-height: 20px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.table-data.icons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 15px;
}

.table-data .table-icon {
  width: 20px;
  height: auto;
  cursor: pointer;
}

.header__item {
  text-transform: uppercase;
}

.filter__link {
  color: white;
  text-decoration: none;
  position: relative;
  display: inline-block;
  padding-left: 24px;
  padding-right: 24px;
  cursor: default;
}
.filter__link::after {
  content: "";
  position: absolute;
  right: -18px;
  color: white;
  font-size: 12px;
  top: 50%;
  transform: translateY(-50%);
}
.filter__link.desc::after {
  content: "(desc)";
}
.filter__link.asc::after {
  content: "(asc)";
}

/*Button with lines*/
.button {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 30px;
  --offset: 10px;
  --border-size: 2px;
  display: block;
  position: relative;
  padding: 1.5em 3em;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: 0;
  background: transparent;
  color: var(--brown);
  text-transform: uppercase;
  letter-spacing: 0.25em;
  outline: none;
  cursor: pointer;
  font-weight: bold;
  border-radius: 0;
  box-shadow: inset 0 0 0 var(--border-size) currentcolor;
  transition: background 0.8s ease;
}

.button:hover {
  background: var(--green);
  color: var(--white);
}

.button__horizontal, .button__vertical {
  position: absolute;
  top: var(--horizontal-offset, 0);
  right: var(--vertical-offset, 0);
  bottom: var(--horizontal-offset, 0);
  left: var(--vertical-offset, 0);
  transition: transform 0.8s ease;
  will-change: transform;
}

.button__horizontal::before, .button__vertical::before {
  content: "";
  position: absolute;
  border: inherit;
}

.button__horizontal {
  --vertical-offset: calc(var(--offset) * -1);
  border-top: var(--border-size) solid currentcolor;
  border-bottom: var(--border-size) solid currentcolor;
}

.button__horizontal::before {
  top: calc(var(--vertical-offset) - var(--border-size));
  bottom: calc(var(--vertical-offset) - var(--border-size));
  left: calc(var(--vertical-offset) * -1);
  right: calc(var(--vertical-offset) * -1);
}

.button:hover .button__horizontal {
  transform: scaleX(0);
}

.button__vertical {
  --horizontal-offset: calc(var(--offset) * -1);
  border-left: var(--border-size) solid currentcolor;
  border-right: var(--border-size) solid currentcolor;
}
.button__vertical::before {
  top: calc(var(--horizontal-offset) * -1);
  bottom: calc(var(--horizontal-offset) * -1);
  left: calc(var(--horizontal-offset) - var(--border-size));
  right: calc(var(--horizontal-offset) - var(--border-size));
}

.button:hover .button__vertical {
  transform: scaleY(0);
}

/*Reviews quotes*/
.content {
  max-width: 500px;
}

.testimonial blockquote {
  overflow-y: scroll;
  margin: 10px 10px 0;
  background: var(--white);
  padding: 10px 60px;
  position: relative;
  border: none;
  border-radius: 8px;
  font-style: italic;
}

.testimonial blockquote:hover {
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.testimonial blockquote:before,
.testimonial blockquote:after {
  content: "\201C";
  position: absolute;
  font-size: 80px;
  line-height: 1;
  color: var(--brown);
  font-style: normal;
}

.testimonial blockquote:before {
  top: 0;
  left: 10px;
}

.testimonial blockquote:after {
  content: "\201D";
  right: 10px;
  bottom: -0.5em;
}

.testimonial div {
  width: 0;
  height: 0;
  border-left: 0 solid transparent;
  border-right: 20px solid transparent;
  border-top: 20px solid var(--white);
  margin: 0 0 0 60px;
}

.testimonial p {
  margin: 8px 0 0 20px;
  text-align: left;
  color: var(--gray);
  font-weight: bold;
}

/*Checkbox*/
.checkbox-wrapper {
  display: flex;
  align-items: center;
  gap: 10px;
  margin: 20px;
}

.checkbox-wrapper-17 {
  display: flex;
}

.checkbox-wrapper-17 input[type=checkbox] {
  height: 0;
  width: 0;
  visibility: hidden;
}

.checkbox-wrapper-17 label {
  --size: 30px;

  cursor: pointer;
  width: var(--size);
  height: calc(var(--size) / 2);
  background: var(--white);
  display: block;
  border-radius: 100px;
  position: relative;
}

.checkbox-wrapper-17 label:after {
  content: '';
  position: absolute;
  top: 6%;
  left: 2.5%;
  width: calc(50% - 5%);
  height: calc(100% - 11%);
  background: #fff;
  border-radius: 90px;
  transition: 0.3s;
}

.checkbox-wrapper-17 input:checked + label {
  background: var(--brown);
}

.checkbox-wrapper-17 input:checked + label:after {
  left: calc(100% - 2.5%);
  transform: translateX(-100%);
}

.checkbox-wrapper-17 label:active:after {
  width: 55%;
}

.reglaments-text {
  font-size: var(--very-small-font-size);
  color: var(--green);
}

/*Back button*/
.back-button {
  display: flex;
  align-items: center;
  gap: 10px;
  color: black;
}

.back-button img {
  width: 10px;
  height: auto;
}

/*Popup*/

.modal-content {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  height: 100%;
  padding: 0px 10px;
  gap: 20px;
}

.alert {
  text-align: center;
}

.success {
  color: var(--green);
}

.empty-text {
  font-weight: bold;
  color: var(--green);
}
